### Class

# EDataCal CalBackendFactory

#### Description [src]

    abstract class EDataCal.CalBackendFactory : EBackend.BackendFactory
    {
      /* No available fields */
    }

Contains only private data that should be read and manipulated using the functions below.

#### Hierarchy

#### Ancestors

- EBackendFactory
- EExtension
- GObject

#### Instance methods

##### Methods inherited from EBackendFactory (4)

###### e_backend_factory_get_hash_key

Returns a hash key which uniquely identifies `factory`.

###### e_backend_factory_get_module_filename

Returns the filename of the shared library for the module used to load the backends provided by `factory`.

###### e_backend_factory_new_backend

Returns a new `EBackend` instance for `source`.

###### e_backend_factory_share_subprocess

Returns TRUE if the `factory` wants to share the subprocess for all backends provided by itself. Otherwise, returns FALSE.

##### Methods inherited from EExtension (1)

###### e_extension_get_extensible

Returns the object that `extension` extends.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from EExtension (1)

###### EDataServer.Extension:extensible

The object being extended.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataCalCalBackendFactoryClass {
      const gchar* factory_name;
      ICalComponentKind component_kind;
      GType backend_type;

    }

Class structure for the `ECalBackendFactory` class.

Subclasses need to set the factory name and backend type at initialization, the base class will take care of creating backends of the specified type on demand.

###### Class members

`factory_name: const gchar*`

  The string identifier for this book backend type.

`component_kind: ICalComponentKind`

  The type if component this calendar backend should be created for.

`backend_type: GType`

  The `GType` to use to build `EBookBackends` for this factory.